{
  "schema_version": "1.4.0",
  "id": "GHSA-9rm4-mjvc-4m49",
  "modified": "2022-05-02T03:50:59Z",
  "published": "2022-05-02T03:50:59Z",
  "aliases": [
    "CVE-2009-4035"
  ],
  "details": "The FoFiType1::parse function in fofi/FoFiType1.cc in Xpdf 3.0.0, gpdf 2.8.2, kpdf in kdegraphics 3.3.1, and possibly other libraries and versions, does not check the return value of the getNextLine function, which allows context-dependent attackers to execute arbitrary code via a PDF file with a crafted Type 1 font that can produce a negative value, leading to a signed-to-unsigned integer conversion error and a buffer overflow.",
  "severity": [],
  "affected": [],
  "references": [
    {
      "type": "ADVISORY",
      "url": "https://nvd.nist.gov/vuln/detail/CVE-2009-4035"
    },
    {
      "type": "WEB",
      "url": "https://bugzilla.redhat.com/show_bug.cgi?id=541614"
    },
    {
      "type": "WEB",
      "url": "https://exchange.xforce.ibmcloud.com/vulnerabilities/54831"
    },
    {
      "type": "WEB",
      "url": "https://oval.cisecurity.org/repository/search/definition/oval%3Aorg.mitre.oval%3Adef%3A10996"
    },
    {
      "type": "WEB",
      "url": "http://cgit.freedesktop.org/poppler/poppler/diff/fofi/FoFiType1.cc?id=4b4fc5c0"
    },
    {
      "type": "WEB",
      "url": "http://cgit.freedesktop.org/poppler/poppler/tree/fofi/FoFiType1.cc?id=4b4fc5c017bf147c9069bbce32fc14467bd2a81a"
    },
    {
      "type": "WEB",
      "url": "http://lists.opensuse.org/opensuse-security-announce/2010-02/msg00003.html"
    },
    {
      "type": "WEB",
      "url": "http://secunia.com/advisories/37641"
    },
    {
      "type": "WEB",
      "url": "http://secunia.com/advisories/37781"
    },
    {
      "type": "WEB",
      "url": "http://secunia.com/advisories/37787"
    },
    {
      "type": "WEB",
      "url": "http://secunia.com/advisories/37793"
    },
    {
      "type": "WEB",
      "url": "http://www.redhat.com/support/errata/RHSA-2009-1680.html"
    },
    {
      "type": "WEB",
      "url": "http://www.redhat.com/support/errata/RHSA-2009-1681.html"
    },
    {
      "type": "WEB",
      "url": "http://www.redhat.com/support/errata/RHSA-2009-1682.html"
    },
    {
      "type": "WEB",
      "url": "http://www.securityfocus.com/bid/37350"
    },
    {
      "type": "WEB",
      "url": "http://www.securitytracker.com/id?1023356"
    },
    {
      "type": "WEB",
      "url": "http://www.vupen.com/english/advisories/2009/3555"
    }
  ],
  "database_specific": {
    "cwe_ids": [
      "CWE-94"
    ],
    "severity": "HIGH",
    "github_reviewed": false,
    "github_reviewed_at": null,
    "nvd_published_at": "2009-12-21T21:30:00Z"
  }
}